package map.model;

import java.io.IOException;

/**
 * 
 * @author Masayasu Fujiwara
 */
public interface CityFactory {
	public City preproduct(int code) throws IOException;
	public void preproduct(City city) throws IOException;
	public City product(int code) throws IOException;
	public void product(City city) throws IOException;
	public City productNode(int code, boolean isDetailRoad) throws IOException;
	public void productNode(City city, boolean isDetailRoad) throws IOException;
}
